## golang-github-yuin-goldmark 1.4.4

=== _benchmark/cmark/Makefile ===
CMARK_BIN=cmark_benchmark
CMARK_RUN=LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:./cmark-master/build/src ./$(CMARK_BIN)
ifeq ($(OS),Windows_NT)
  CMARK_BIN=cmark_benchmark.exe
  CMARK_RUN=bash -c "PATH=./cmark-master/build/src:$${PATH} ./$(CMARK_BIN)"
endif
ifneq ($(WSL_INTEROP),)
  CMARK_BIN=cmark_benchmark.exe
  CMARK_RUN=cp ./cmark-master/build-mingw/windows/bin/libcmark.dll . && ./$(CMARK_BIN); rm -f libcmark.dll
endif

.PHONY: run

run: $(CMARK_BIN)
	@ $(CMARK_RUN)
	@ if [ -z "$${WSL_INTEROP}" ]; then \
		go run ./goldmark_benchmark.go; \
	else \
		GOOS=windows GOARCH=amd64 go build -o goldmark_benchmark.exe ./goldmark_benchmark.go && ./goldmark_benchmark.exe; \
	fi

./cmark-master/build/src/config.h:
	wget -nc -O cmark.zip https://github.com/commonmark/cmark/archive/master.zip
	unzip cmark.zip
	rm -f cmark.zip
	@ if [ -z "$${WSL_INTEROP}" ]; then \
		cd cmark-master && make;
	else \
		cd cmark-master && make mingw; \
	fi

$(CMARK_BIN): ./cmark-master/build/src/config.h
	@ if [ -z "$${WSL_INTEROP}" ]; then \
		gcc -I./cmark-master/build/src -I./cmark-master/src  cmark_benchmark.c -o $(CMARK_BIN) -L./cmark-master/build/src -lcmark; \
	else \
		i686-w64-mingw32-gcc -I./cmark-master/build-mingw/windows/include cmark_benchmark.c -o $(CMARK_BIN) -L./cmark-master/build-mingw/windows/lib -lcmark.dll; \
	fi

.PHONY: clean
clean:
	rm -f $(CMARK_BIN)
	rm -f goldmark_benchmark.exe

## golang-github-yuin-goldmark 1.1.12

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.12-2) unstable; urgency=medium

  * Source-only upload for migration into testing.

 -- Anthony Fok <foka@debian.org>  Tue, 31 Dec 2019 16:55:29 -0700

golang-github-yuin-goldmark (1.1.12-1) unstable; urgency=medium

  * Initial release (Closes: #946154)

 -- Anthony Fok <foka@debian.org>  Wed, 04 Dec 2019 05:36:16 -0700

=== debian/control ===
Source: golang-github-yuin-goldmark
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang
Build-Depends-Indep: golang-any
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
Homepage: https://github.com/yuin/goldmark
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/yuin/goldmark

Package: golang-github-yuin-goldmark-dev
Architecture: all
Depends: ${misc:Depends}
Description: CommonMark compliant and extensible Markdown parser written in Go
 goldmark is a Markdown parser written in Go.  It is easy to extend,
 standard compliant, and well structured.  It is compliant with CommonMark 0.29,
 and supports extensions from GitHub Flavored Markdown and PHP Markdown Extra.
 .
 Features:
 .
  * Standard compliant.  goldmark gets full compliance with the latest
    CommonMark spec.
  * Extensible.  Do you want to add a @username mention syntax to Markdown?
    You can easily do it in goldmark. You can add your AST nodes, parsers
    for block level elements, parsers for inline level elements,
    transformers for paragraphs, transformers for whole AST structure, and
    renderers.
  * Performance.  goldmark performs pretty much equally to cmark, the
    CommonMark reference implementation written in C.
  * Robust. goldmark is tested with go-fuzz, a fuzz testing tool.
  * Builtin extensions.  goldmark ships with common extensions like tables,
    strikethrough, task lists, and definition lists.
  * Depends only on standard libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := _benchmark _test extension/_test

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-yuin-goldmark 1.1.14

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.14-1) unstable; urgency=medium

  * New upstream version 1.1.14
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 03:45:16 -0700

## golang-github-yuin-goldmark 1.1.18

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.18-1) unstable; urgency=medium

  * New upstream version 1.1.18

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 13:16:26 -0700

## golang-github-yuin-goldmark 1.1.21

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.21-1) unstable; urgency=medium

  * New upstream version 1.1.21
  * Set DH_GOLANG_EXCLUDES to _benchmark/cmark/.gitignore
    to fix Lintian warning "package-contains-vcs-control-file"

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 03:33:15 -0700

## golang-github-yuin-goldmark 1.1.23

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.23-1) unstable; urgency=medium

  * New upstream version 1.1.23

 -- Anthony Fok <foka@debian.org>  Mon, 24 Feb 2020 17:27:16 -0700

## golang-github-yuin-goldmark 1.1.25

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.25-1) unstable; urgency=medium

  * New upstream version 1.1.25
    - Insert space after task-list checkboxes as per GFM spec

 -- Anthony Fok <foka@debian.org>  Sun, 22 Mar 2020 09:58:00 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang
 Build-Depends-Indep: golang-any
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-yuin-goldmark-\$1\.tar\.gz/, \
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/yuin/goldmark/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-yuin-goldmark 1.1.30

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.30-1) unstable; urgency=medium

  * New upstream version 1.1.30

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 22:11:01 -0600

golang-github-yuin-goldmark (1.1.28-1) unstable; urgency=medium

  * New upstream version 1.1.28

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 19:55:33 -0600

golang-github-yuin-goldmark (1.1.27-1) unstable; urgency=medium

  * New upstream version 1.1.27

 -- Anthony Fok <foka@debian.org>  Fri, 10 Apr 2020 22:40:52 -0600

## golang-github-yuin-goldmark 1.1.31

=== debian/changelog ===
golang-github-yuin-goldmark (1.1.31-1) unstable; urgency=medium

  * New upstream version 1.1.31

 -- Anthony Fok <foka@debian.org>  Wed, 03 Jun 2020 22:57:45 -0600

## golang-github-yuin-goldmark 1.2.1

=== debian/changelog ===
golang-github-yuin-goldmark (1.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Oct 2020 00:26:05 +0530

golang-github-yuin-goldmark (1.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 1.2.1
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Fri, 18 Sep 2020 20:55:44 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang
 Build-Depends-Indep: golang-any
 Standards-Version: 4.5.0

## golang-github-yuin-goldmark 1.3.2

=== debian/changelog ===
golang-github-yuin-goldmark (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * debian/control:
    - Change Section from devel to golang
    - Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 08 Feb 2021 18:15:13 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: golang-github-yuin-goldmark
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang
 Build-Depends-Indep: golang-any
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

## golang-github-yuin-goldmark 1.3.5

=== debian/changelog ===
golang-github-yuin-goldmark (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 02:53:06 -0600

golang-github-yuin-goldmark (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Sun, 05 Sep 2021 02:51:34 -0600

## golang-github-yuin-goldmark 1.3.9

=== debian/changelog ===
golang-github-yuin-goldmark (1.3.9-1) unstable; urgency=medium

  * New upstream version 1.3.9

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 08:36:07 -0600

## golang-github-yuin-goldmark 1.4.0

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Anthony Fok <foka@debian.org>  Thu, 28 Oct 2021 22:40:12 -0600

## golang-github-yuin-goldmark 1.4.2

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 05:45:17 -0600

## golang-github-yuin-goldmark 1.4.3

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.3-1) unstable; urgency=medium

  * Update to upstream version 1.4.3
  * Update debian/watch to fix error: "uscan die: filenamemangle failed for
    v1.4.3.tar.gz at /usr/share/perl5/Devscripts/Uscan/Output.pm line 60."

 -- Anthony Fok <foka@debian.org>  Tue, 16 Nov 2021 12:57:28 -0700

## golang-github-yuin-goldmark 1.4.4

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Anthony Fok <foka@debian.org>  Wed, 17 Nov 2021 01:15:59 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang
 Build-Depends-Indep: golang-any
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark
@@ -16,6 +16,7 @@
 
 Package: golang-github-yuin-goldmark-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: CommonMark compliant and extensible Markdown parser written in Go
  goldmark is a Markdown parser written in Go.  It is easy to extend,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DH_GOLANG_EXCLUDES := _benchmark/cmark/.gitignore
 export DH_GOLANG_INSTALL_EXTRA := _benchmark _test extension/_test
 
 %:

## golang-github-yuin-goldmark 1.4.11

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.11-1) unstable; urgency=medium

  * New upstream version 1.4.11

 -- Anthony Fok <foka@debian.org>  Fri, 01 Apr 2022 02:58:38 -0600

golang-github-yuin-goldmark (1.4.10-2) unstable; urgency=medium

  * Team upload
  * Skip performance test

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Mar 2022 16:01:11 +0800

golang-github-yuin-goldmark (1.4.10-1) unstable; urgency=medium

  * New upstream version 1.4.10

 -- Anthony Fok <foka@debian.org>  Sun, 20 Mar 2022 15:25:30 -0600

golang-github-yuin-goldmark (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 22:52:54 -0600

golang-github-yuin-goldmark (1.4.7-1) unstable; urgency=medium

  * New upstream version 1.4.7
  * Reorder fields in debian/control as would be generated in the
    next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update package description: goldmark now supports CommonMark 0.30

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 20:49:38 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-yuin-goldmark
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: golang
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang
+Build-Depends-Indep: golang-any
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-golang
-Build-Depends-Indep: golang-any
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/yuin/goldmark
 
 Package: golang-github-yuin-goldmark-dev
@@ -19,8 +19,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: CommonMark compliant and extensible Markdown parser written in Go
- goldmark is a Markdown parser written in Go.  It is easy to extend,
- standard compliant, and well structured.  It is compliant with CommonMark 0.29,
+ goldmark is a Markdown parser written in Go.  It is easy to extend, standard
+ compliant, and well structured.  It is compliant with CommonMark 0.30,
  and supports extensions from GitHub Flavored Markdown and PHP Markdown Extra.
  .
  Features:

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := _benchmark/cmark/.gitignore
export DH_GOLANG_INSTALL_EXTRA := _benchmark _test extension/_test

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-yuin-goldmark 1.4.12

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.12-1) unstable; urgency=medium

  * New upstream version 1.4.12
  * Bump Standards-Version to 4.6.1 (no change)
  * Replace 0001-Skip-performance-test.patch with short test mode.
    Thanks to Shengjing Zhu for contributing the fix upstream!

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 05:14:09 -0600

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+# Skip performance tests as they may timeout on some Debian CI servers
+override_dh_auto_test:
+	dh_auto_test -- -short

## golang-github-yuin-goldmark 1.4.13

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.13-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.13
  * Exclude _benchmark directory

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 07 Aug 2022 17:21:39 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang
 Build-Depends-Indep: golang-any
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

## golang-github-yuin-goldmark 1.4.15

=== debian/changelog ===
golang-github-yuin-goldmark (1.4.15-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 03:35:20 -0600

golang-github-yuin-goldmark (1.4.15-1) unstable; urgency=medium

  * New upstream version 1.4.15

 -- Anthony Fok <foka@debian.org>  Fri, 23 Sep 2022 12:39:55 -0600

golang-github-yuin-goldmark (1.4.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend explicitly on golang-any (>= 2:1.18~)

 -- Anthony Fok <foka@debian.org>  Thu, 22 Sep 2022 01:25:53 -0600

golang-github-yuin-goldmark (1.4.14-1) unstable; urgency=medium

  * New upstream version 1.4.14

 -- Anthony Fok <foka@debian.org>  Fri, 16 Sep 2022 13:31:21 -0600

golang-github-yuin-goldmark (1.4.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 18 Jan 2022 01:58:58 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang
-Build-Depends-Indep: golang-any
+Build-Depends-Indep: golang-any (>= 2:1.18~)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark

## golang-github-yuin-goldmark 1.5.2

=== debian/changelog ===
golang-github-yuin-goldmark (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Anthony Fok <foka@debian.org>  Sat, 29 Oct 2022 03:51:43 -0600

## golang-github-yuin-goldmark 1.5.3

=== debian/changelog ===
golang-github-yuin-goldmark (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 07:12:53 -0700

## golang-github-yuin-goldmark 1.5.4

=== debian/changelog ===
golang-github-yuin-goldmark (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4

 -- Anthony Fok <foka@debian.org>  Wed, 08 Mar 2023 19:19:12 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang
 Build-Depends-Indep: golang-any (>= 2:1.18~)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

## golang-github-yuin-goldmark 1.5.6

=== debian/changelog ===
golang-github-yuin-goldmark (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 13:34:17 -0600

golang-github-yuin-goldmark (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:17:32 -0600

## golang-github-yuin-goldmark 1.6.0

=== debian/changelog ===
golang-github-yuin-goldmark (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Anthony Fok <foka@debian.org>  Wed, 01 Nov 2023 02:09:12 -0600

## golang-github-yuin-goldmark 1.7.0

=== debian/changelog ===
golang-github-yuin-goldmark (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Bump build-dependency golang-any (>= 2:1.19~) as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 18:38:27 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang
-Build-Depends-Indep: golang-any (>= 2:1.18~)
+Build-Depends-Indep: golang-any (>= 2:1.19~)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := _benchmark
export DH_GOLANG_INSTALL_EXTRA := _test extension/_test

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# Skip performance tests as they may timeout on some Debian CI servers
override_dh_auto_test:
	dh_auto_test -- -short

## golang-github-yuin-goldmark 1.7.1

=== debian/changelog ===
golang-github-yuin-goldmark (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 23:07:26 -0600

## golang-github-yuin-goldmark 1.7.4

=== debian/changelog ===
golang-github-yuin-goldmark (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 05:48:34 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang
 Build-Depends-Indep: golang-any (>= 2:1.19~)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/yuin/goldmark/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-yuin-goldmark 1.7.13

=== Makefile ===
.PHONY: test fuzz lint gen

lint:
	golangci-lint run -c .golangci.yml ./...

test:
	go test -coverprofile=profile.out -coverpkg=github.com/yuin/goldmark,github.com/yuin/goldmark/ast,github.com/yuin/goldmark/extension,github.com/yuin/goldmark/extension/ast,github.com/yuin/goldmark/parser,github.com/yuin/goldmark/renderer,github.com/yuin/goldmark/renderer/html,github.com/yuin/goldmark/text,github.com/yuin/goldmark/util ./...

cov: test
	go tool cover -html=profile.out

fuzz:
	cd ./fuzz && go test -fuzz=FuzzDefault

gen:
	go generate ./...

=== debian/changelog ===
golang-github-yuin-goldmark (1.7.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.13
  * Update debian/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed
  * Update d/copyright
  * Update Salsa CI with current golang template

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Sep 2025 10:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang
 Build-Depends-Indep: golang-any (>= 2:1.19~)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yuin-goldmark.git
 Homepage: https://github.com/yuin/goldmark

=== debian/watch ===
Version: 5

Template: Github
Owner: yuin
Project: goldmark
